meta-google: google-usb-network: Rename early

Ideally our interface name is set prior to being created. However, we
have to do this opportunisticly because it is only supported on linux
5.12 and newer.

Change-Id: I5e660031a99b4120b3e75b25a7b58ca3a7373d57
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-google/networking/google-usb-network/usb_network.sh b/meta-google/recipes-google/networking/google-usb-network/usb_network.sh
index ec9c2cf..8b7bf53 100755
--- a/meta-google/recipes-google/networking/google-usb-network/usb_network.sh
+++ b/meta-google/recipes-google/networking/google-usb-network/usb_network.sh
@@ -94,6 +94,9 @@
 
     ln -s "${func_dir}" "${config_dir}" || return
 
+    # This only works on kernel 5.12+, we have to ignore failures for now
+    echo "$IFACE_NAME" >"${func_dir}"/ifname || true
+
     echo "${BIND_DEVICE}" >${gadget_dir}/UDC || return
     # Try to reconfigure a few times in case we race with systemd-networkd
     local start=$SECONDS